=== debian/changelog ===
shadow (20000902-6.1) unstable; urgency=low
 
  * Non-maintainer upload.
  * Upgrade to latest config.sub and config.guess.  Closes: #88547
 
 -- Gerhard Tonn <gt@debian.org>  Fri,  1 Jun 2001 20:38:43 +0200
                                                              

shadow (20000902-6) unstable; urgency=medium

  * actually set root's password when appropriate
    patch thanks to joeyh, closes #98402
  * fix error in expiry man page.  Such damage. closes: #99291
  * fix group of setgid program chage and expiry, closes: #98122

 -- Karl Ramm <kcr@debian.org>  Thu, 31 May 2001 07:38:59 -0400

shadow (20000902-5) unstable; urgency=low

  * add build dependency on file, to keep libtool happy. closes: #97498

 -- Karl Ramm <kcr@debian.org>  Wed, 16 May 2001 06:57:23 -0400

shadow (20000902-4) unstable; urgency=low

  * Change maintainers, closes: #92355

 -- Karl Ramm <kcr@debian.org>  Sun, 13 May 2001 03:28:07 -0400

shadow (20000902-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Recompile to fix ARM lossage 

 -- Philip Blundell <philb@armlinux.org>  Sun, 11 Mar 2001 07:47:27 -0500

shadow (20000902-3) unstable; urgency=low

  * Update config.sub and config.guess so ia64 compiled, closes: #81897
  * libmisc/sub.c: skip '*' in shell name when doing subsystem, closes:
    #82893
  * src/su.c: don't assume uid 0 == "root", use getpwuid to fetch it,
    closes: #81924
  * This was fixed in a previous version, closes: #77057
  * Update passwd long desc, closes: #88299
  * Conflict with suidmanager << 0.5, and remove suid{,un}register calls,
    closes: #87157
  * Update policy to 3.5.0.0
  * Added debconf support for passwd from base-config

 -- Ben Collins <bcollins@debian.org>  Sat,  3 Mar 2001 07:26:57 -0500

shadow (20000902-2) unstable frozen; urgency=low

  * control.hurd->control.gnu: closes: #77940
  * Cannot reproduce, closes: #79447
  * User never sent a patch, plus I think removing the passwd/account when
    doing passwd -l is a bad idea. Makes it so you cannot unlock the
    account. closes: #77824
  * Don't allow shadowconfig to change perms of other binaries, close: #77057
  * IMO, this is not a bug. It's part of a feature, and can be disabled by
    turning off USER_GROUPS. closes: #76806
  * /bin/login is suid root for several good reasons. For one, it allows
    daemons that use it to run as non-root. This is a good thing since it
    means only one program is running as root, and not several. closes: #17911
  * sulog is fairly easy to grep or parse so I don't see how the
    similarity of the log entries for failed and successful is a problem.
    '-' for failed, '+' for success. closes: #63801
  * logoutd.8: s,/etc/utmp,/var/run/utmp, closes: #80494
  * Fix case where pam_auth returns a NULL username, closes: #76817, #75510
  * Hmm, Linux is a sysv derivative, so the comment is perfectly
    legitimate, closes: #76898
  * MAX_PASSWORD is used by useradd, and CHFN_AUTH is actually used by
  * chfn to decide if the current user needs to auth in order to change
    their info, closes: #71114
  * login.1: Fix \' closes: #75435
  * login -f works for me assuming you call it as root. I tested this with
    plain pam_unix.so, and also with pam_unix.so stacked with pam_ldap.so.
    So if it doesn't work with telnet-heimdal, then that program is not
    doing something right. closes: #78186
  * login.pam.d: made pam_nologin.so requisite. closes: #80111
  * su to root seems pretty quick to me, closes: #64756
  * xmalloc.c: remove decleration of malloc, which was causing system
  * header conflicts. closes: #80398

 -- Ben Collins <bcollins@debian.org>  Sun, 31 Dec 2000 14:33:47 -0500

shadow (20000902-1) unstable frozen; urgency=low

  * New upstream release, lots of Debian patches merged, closes: #72735
  * man/passwd.1: removed reference to passwd(3), closes: #72704
  * man/chsh.1,man/chfn.1: document login.defs affects on these programs,
    closes: #68029
  * not a bug, expected behavior, closes: #74137
  * IMO, this is a bug in the user's setup, closes: #65600
  * securetty: add devfs console devices, closes: #71946
  * libmisc/sulog.c: removed arbitrary limit on number of chars printed of
    the tty name (truncated to 6 chars, which is silly), closes: #65404
  * tested this, and it works fine for me so long as pam_unix.so is called
    with the nullok option (which it isn't by default because of security
    concerns), closes: #75063
  * appears to be fixed by PAM, closes: #70627
  * src/useradd.c: user mkstemp instead of mktemp, per libc6 linktime
    warning
  * src/su.c: fixup arg handling passed to shell, closes: #75326

 -- Ben Collins <bcollins@debian.org>  Mon, 23 Oct 2000 13:22:29 -0400

shadow (19990827-21) unstable frozen; urgency=low

  * Added build deps
  * Use pre-generated files for hurd/linux control file. The old method of
    using cpp would have broken with the new gcc.

 -- Ben Collins <bcollins@debian.org>  Wed, 26 Jul 2000 21:04:03 -0400

shadow (19990827-20) unstable frozen; urgency=low

  * Release Manager
    None of these are marked as RC in the BTS, however, they do make the
    package unsuitable for release. Since this is an essential package (IOW,
    installed on every Debian system), I hope you can see how important it
    is to make sure this package is perfect. None of the changes are
    functional (except the fix in logoutd's init script, which was a 20 char
    change), so please consider this for the next test cycle.
  * Fix logoutd init script from spurious output when /etc/porttime is not
    there, closes: #63962, #64067
  * su: Fix typo in usage output, closes: #60226
  * passwd: Fixed typo and missing newline in output for successful password
    change, closes: #64106, #63703
  * passwd.1: Add documentation on the -f, -e, -s and -d command line
    options, closes: #64339, #64410
  * login: Verified that utmp/wtmp works when called by telnet with -h
    option, closes: #56854


