=== debian/control ===
Source: shadow
Section: base
Priority: required
Maintainer: Karl Ramm <kcr@debian.org>
Standards-Version: 3.5.0.0
Build-Depends: autoconf, automake, bzip2, gettext, libpam0g-dev [!hurd-i386], texinfo, file

Package: passwd
Architecture: any
Depends: ${shlibs:Depends}, login (>= 970502-1), libpam-modules (>= 0.72-5)
Conflicts: shadow-passwd, pam-apps, suidregister (<< 0.50)
Replaces: shadow-passwd
Replaces: manpages (<=1.15-2)
Section: base
Priority: required
Description: Change and administer password and group data.
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian.gz

Package: login
Architecture: any
Pre-Depends: ${shlibs:Depends}
Depends: libpam-modules (>= 0.72-5)
Conflicts: shadow-login, pam-apps, secure-su, suidregister (<< 0.50)
Replaces: shadow-login, shadow-passwd, shellutils (<< 2.0-2)
Essential: yes
Section: base
Priority: required
Description: System login tools
 These tools are required to be able to login and use your system. The
 login program invokes you user shell and enables command execution. The
 newgrp program is used to change your effective group ID (useful for
 workgroup type situations). The su program allows changing your effective
 user ID (useful being able to execute commands as another user).
 .
 Also supplies a logout daemon that can place limits on when, from where,
 and for how long certain users can login to the system.
Source: shadow
Section: base
Priority: required
Maintainer: Marek Michalkiewicz <marekm@linux.org.pl>
Standards-Version: 2.3.0.0

Package: login
Architecture: any
Pre-Depends: ${shlibs:Depends}
Conflicts: shadow-login
Replaces: shadow-login, shadow-passwd
Essential: yes
Section: base
Priority: required
Description: Sign on to the system.
 login and newgrp change the user and group.

Package: passwd
Architecture: any
Depends: ${shlibs:Depends}, login (>= 970502-1)
Conflicts: shadow-passwd
Replaces: shadow-passwd
Replaces: manpages (<=1.15-2)
Section: base
Priority: required
Description: Change and administer password and group data.
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/doc/passwd/README.Debian

Package: secure-su
Architecture: any
Depends: ${shlibs:Depends}, login (>= 970502-1)
Conflicts: shadow-su
Replaces: shadow-su
Section: admin
Priority: optional
Description: su with more security options
 secure-su offers more security options than the normal su, such as a
 wheel group, and from-user and to-user specific restrictions.
